Bug 816606 - [abrt] python-webdav-library-0.3.0-1.fc16: Connection.py:121:_request:WebdavError: Cannot perform request. Connection failed.
[abrt] python-webdav-library-0.3.0-1.fc16: Connection.py:121:_request:WebdavE...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-webdav-library (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
abrt_hash:b715620755a5b6e116c312f8aca...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 09:47 EDT by Stuart D Gathman
Modified: 2013-02-13 17:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:26:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart D Gathman 2012-04-26 09:47:32 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        python /usr/lib/python2.7/site-packages/webdav/WebdavClient.py
comment:        Tried the simple test in WebdavClient.py
executable:     /usr/lib/python2.7/site-packages/webdav/WebdavClient.py
kernel:         3.3.2-1.fc16.i686
reason:         Connection.py:121:_request:WebdavError: Cannot perform request. Connection failed.
time:           Wed 25 Apr 2012 09:48:13 PM EDT
uid:            1000
username:       stuart

backtrace:
:Connection.py:121:_request:WebdavError: Cannot perform request. Connection failed.
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/webdav/WebdavClient.py", line 846, in <module>
:    for resource, properties in webdavConnection.getCollectionContents():
:  File "/usr/lib/python2.7/site-packages/webdav/WebdavClient.py", line 693, in getCollectionContents
:    self.validate()
:  File "/usr/lib/python2.7/site-packages/webdav/WebdavClient.py", line 580, in validate
:    super(CollectionStorer, self).validate()
:  File "/usr/lib/python2.7/site-packages/webdav/WebdavClient.py", line 137, in validate
:    davHeader = self.getSpecificOption(Constants.HTTP_HEADER_DAV)
:  File "/usr/lib/python2.7/site-packages/webdav/WebdavClient.py", line 211, in getSpecificOption
:    options = self.options().get(option)
:  File "/usr/lib/python2.7/site-packages/webdav/WebdavClient.py", line 148, in options
:    response = self.connection.options(self.path)
:  File "/usr/lib/python2.7/site-packages/davlib.py", line 182, in options
:    return self._request('OPTIONS', url, extra_hdrs=extra_hdrs)
:  File "/usr/lib/python2.7/site-packages/webdav/Connection.py", line 121, in _request
:    raise WebdavError("Cannot perform request. Connection failed.")
:WebdavError: Cannot perform request. Connection failed.
:
:Local variables in innermost frame:
:body: None
:retry: 0
:exc: gaierror(-2, 'Name or service not known')
:extra_hdrs: {}
:extraHeaders: {}
:self: <webdav.Connection.Connection instance at 0x845668c>
:url: 'shedi/'
:method: 'OPTIONS'

smolt_data:
:
:
:General
:=================================
:UUID: 2d8db898-9e6a-41cd-b0fb-254288f9ac88
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5187.11
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) 4 CPU 2.60GHz
:CPU Stepping: 9
:CPU Family: 15
:CPU Model Num: 2
:Number of CPUs: 2
:CPU Speed: 2600
:System Memory: 1889
:System Swap: 2047
:Vendor: Dell Computer Corporation
:System: OptiPlex GX270 
:Form factor: Mini Tower
:Kernel: 3.3.2-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(21299:51712:4653:4096) pci, snd_sonicvibes, MULTIMEDIA_AUDIO, SonicVibes
:(32902:4110:4136:337) pci, e1000, ETHERNET, Optiplex GX270
:(32902:9590:0:0) pci, None, BASE, 82865G/PE/P Processor to I/O Memory Interface
:(32902:9427:4136:337) pci, i801_smbus, SERIAL, 82801EB/ER (ICH5/ICH5R) SMBus Controller
:(32902:9425:4136:337) pci, ata_piix, STORAGE, 82801EB (ICH5) SATA Controller
:(32902:9435:4136:337) pci, ata_piix, STORAGE, 82801EB/ER (ICH5/ICH5R) IDE Controller
:(32902:9424:0:0) pci, None, PCI/ISA, 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge
:(32902:9429:4136:337) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(4318:545:0:0) pci, nouveau, VIDEO, NV44A [GeForce 6200]
:(32902:9428:4136:337) pci, uhci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #2
:(32902:9426:4136:337) pci, uhci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #1
:(32902:9584:4136:337) pci, agpgart-intel, HOST/PCI, 82865G/PE/P DRAM Controller/Host-Hub Interface
:(32902:9431:4136:337) pci, uhci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #3
:(32902:9438:4136:337) pci, uhci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB UHCI Controller #4
:(32902:9437:4136:337) pci, ehci_hcd, USB, 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller
:(32902:9585:0:0) pci, None, PCI/PCI, 82865G/PE/P PCI to AGP Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_gail-f16 / ext4 4096 4096 5197230 703974 651608 1310720 803438 803438
:/dev/sda1 /boot ext3 1024 1024 295649 121863 106503 76304 75998 75998
:/dev/mapper/vg_gail-video WITHHELD ext4 4096 4096 6482433 1070778 743157 1638400 1638325 1638325
:/dev/mapper/vg_gail-adaxa WITHHELD ext4 4096 4096 2613235 2202785 2071713 655360 648486 648486
:/dev/mapper/vg_gail-home /home ext4 4096 4096 15545994 2372015 1585711 3932160 3854878 3854878
:/dev/mapper/vg_gail-dump WITHHELD ext4 4096 4096 2605573 2463980 2332908 163840 163825 163825
:
Comment 1 Stanislav Ochotnicky 2012-04-27 03:32:01 EDT
Would you care to explain what exactly you've done? This seems like you pointed the webdav client to non-existent server so it just couldn't resolve the address. 

The client was not put in */bin for a reason: it's not really supposed to be run by casual users.
Comment 2 Stuart D Gathman 2012-04-28 01:36:30 EDT
The server exists alright.  I thought I was going to write a script to fetch newer files from the webdav export.  I copied the example client code, and got it to work with some tweaks.  But I ended up with a shell script to mount using davfs2 and run rsync.  The library seems more suited to writing a webdav fuse filesystem (like davfs2) than to the kind of script I needed.

So what did I "tweak"?  Well, it seems that the example client doesn't understand the http://user:passwd@hostname/path url syntax, and that is what caused it to barf.  It was clear enough once I examined the code, instead of just trying to use it as a webdav directory lister, that the example required hardwired passwords.  It was easy enough to add full url parsing to my script.

The problem I had that made me abandon scripting with the library was all the debug logging.  It wasn't clear where to redirect or turn that off.

You can go ahead and close this "bug" now, but maybe consider the points above.
Comment 3 Fedora End Of Life 2013-01-16 12:35:34 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 17:26:41 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.